com.creamtec.ajaxswing

## Class TemporaryFileRemover

- java.lang.Object
- - java.lang.Thread
  - - com.creamtec.ajaxswing.TemporaryFileRemover

- All Implemented Interfaces:
    java.lang.Runnable

      public class TemporaryFileRemover
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemporaryFileRemover(ServletHelper helper, java.util.Hashtable appDescs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `static boolean` | `shouldDeleteTempFile(java.io.File file)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemporaryFileRemover

          public TemporaryFileRemover(ServletHelper helper,
                              java.util.Hashtable appDescs)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### shouldDeleteTempFile

          public static boolean shouldDeleteTempFile(java.io.File file)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.